Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 29/09/2009, à 14:56

Que20

Gros problème d'installation du serveur.

Bonjour.

Après avoir installé Ubuntu, et tout le tralala j'ai voulu installé LAMP.

...

Je pense que je vais devoir tout reformater: ça a tout foutu en l'air.

Phpmyadmin ne fonctionne pas du tout, voir pas moyen de le désinstaller. Mysql à l'air de fonctionner, pourtant quand j'essaye de le relancer bah... y a pas de dossier mysql dans /etc/init.d/, si on peut m'expliquer...

Dpkg comrrompu ce qui fait que plus aucun programme ne voulait s'installer. (ça c'est réparé, enfin je crois)


Je me tape des erreurs quand j'ai tenté d'installer Pphpmyadmin:

│ Une erreur semble s'être produite lors de l'installation de la base de    │
│ données :                                                                 │
│                                                                           │
│ ERROR 2002 (HY000): Can't connect to local MySQL server through socket    │
│ '/var/run/mysqld/mysqld.sock' (2)                                         │
│                                                                           │
│ Vous pouvez soit recommencer soit abandonner l'opération. Si vous         │
│ choisissez « Recommencer », la mise à jour sera tentée à nouveau en vous  │
│ posant à nouveau les questions de configuration. Avec l'option            │
│ « Recommencer avec les mêmes réglages », la mise à jour sera tentée       │
│ immédiatement. Enfin, avec le choix « Abandonner », la mise à jour        │
│ échouera et vous devrez revenir à la version précédente, désinstaller et  │
│ reconfigurer ce paquet, à moins d'effectuer vous-même les opérations      │
│ nécessaires pour continuer à l'utiliser. 

E: Sub-process /usr/bin/dpkg returned an error code (1)

Sans vouloir être méchant, ça me déçoit d'Ubuntu ce genre de soucis (car je n'ai rien fait d'autre que d'installer Lamp, aucune mauvaise manip' ni autre), j'ai l'impression d'être sous WIndows avec tout qui déconne là. XD

SI quelqu'un à déja eu ce genre de soucis (Ubuntu 9.04), ça serait sympa si il pouvait dire comment il a résolu le problème. ^^

Merci d'avance.

Hors ligne

#2 Le 29/09/2009, à 15:41

Elemmire

Re : Gros problème d'installation du serveur.

hmmm ... tu as installé LAMP de quel manière ?

Que20 a écrit :

car je n'ai rien fait d'autre que d'installer Lamp, aucune mauvaise manip' ni autre

Ça m'étonnerai que tu n'es pas fait une mauvaise manip ... dpkg ca se casse pas tout seul !
ensuite il faut que tu ai en tete que LAMP ca veut dire Linux - Apache - Mysql - Php
donc il faut comprendre que LAMP n'est pas un soft entier mais c'est un ensemble de logiciel.
il faut donc que tu vérifie le bon fonctionnement de chaque logiciel (spécialement Apache et MySQL)

Ensuite si tu veux que quelqu'un t'aide, il faut donner des détails sur ta configuration.
Donnes les fichiers de conf de Apache MySQL ...
Tu peux aussi donner le retour de la commande

netstat -taupn

Et pour finir, il faut arréter de se comporter comme un utilisateur de Windows !!! ;-)

Hors ligne

#3 Le 29/09/2009, à 15:52

Que20

Re : Gros problème d'installation du serveur.

Désolé pour l'attitude tantôt mais j'étais plutôt sur les nerfs (chose qui m'arrivait toujours avec Win, bah oui écran bleu sans savoir pourquoi, faut avouer que c'était bourrant...).

Je suis en train de faire une réinstallation complète là.

Avant de me précipiter je vais cette fois ci, bien suivre le tuto, regarder si ça fonctionne car en effet Lamp est un ensemble, et j'ai pas facile de savoir qui exactement fait foirer tout.

Dpkg n'était pas vraiment foutu sauf qu'il ne voulait plus rien installé (embêtant ça).

Je vous dis quoi prochainement. wink

Et veuillez encore m'excuser pour tantôt.

Hors ligne

#4 Le 30/09/2009, à 15:07

Elemmire

Re : Gros problème d'installation du serveur.

pas de soucis wink et bon courage à toi !

Hors ligne

#5 Le 30/09/2009, à 22:25

Papageno3

Re : Gros problème d'installation du serveur.

Bonjour,

Installation de LAMP sous Jaunty 64 bits, exactement le même souci décrit par Que20 aujourd'hui.
C'est la 2ème machine avec Jaunty en 64 bits sur laquelle j'installe pypmyadmin.
Sur la première ça a parfaitement fonctionné, comme toujours, et pour la première fois, sur ma 2ème machine, impossible d'installer phpmyadmin. J'ai les mêmes messages d'erreur que Que20.

Il semblerait que ça vienne du paquet dbconfig-common. Curieusement sur la première machine je n'ai pas ce paquet et le serveur web fonctionne parfaitement. Sur ma 2ème bécane, il me demande impérativement l'install de dbconfig-common, et l'install de phpmyadmin foire complètement.

J'ai fait un rapport de bug, mais il semble que je ne suis pas le premier, ce bug est ici : https://bugs.launchpad.net/ubuntu/+source/phpmyadmin/+bug/348535

Ma config : 1ère machine Dell optiplex 745. Dual Core 2 à 1,86 Go, MB Dell, 4Go de ram, etc.
2ème machine (celle où ça foire) : Dual Core 2 à 2.66 Go, asus P5K, 4 Go de ram, GPU Nvidia 8600GT (eVga), etc

J'ai essayé de réinstaller de diverses manières, aussi bien avec synaptic qu'en console, sans succès. Mon install est toute neuve, sans aucun souci ou autre bug particulier.

Faut reconnaitre qu'un serveur web sans phpmyadmin ça sert pas à grand-chose, d'autant plus que je ne trouve pas de soft qui remplace dans les dépôts (eskuel par exemple).

Merci d'avance pour ceux qui auraient des idées.
Cordialement, Papageno3 cool

PS : j'ai installé presque des centaines de fois un serveur web avec lamp, notamment sous ubuntu, sans aucun souci. Là c'est la première fois

EDIT : sur la première machine (qui n'est pas au même endroit, d'où mon erreur) mon serveur web marche mais pas phpmyadmin. Donc même souci dans les 2 cas. Je viens de constater que le bug rapporté ci-dessus semble concerner le 32 bits, puisqu'il est écrit "ProblemType: Package - Architecture: i386". Ça ne concerne donc apparemment pas le 64 bits? Alors pourquoi au moment du rapport de bug j'ai été automatiquement redirigé sur ce bug déjà signalé? Bref, compte tenu que je n'ai jamais eu ce souci en 32 bits, j'ai tendance maintenant à penser que c'est lié au passage à 64 bits. Mais si c'était le cas nous serions certainement beaucoup à ne pas pouvoir installer phpmyadmin, qui est un logiciel très utilisé, alors que je ne vois aucune trace de ça, à part ce post de Que20.

Au fait, Que20 : es-tu en 32 ou 64 bits? et bien sous Jaunty? (tu ne le précises pas)

Dernière modification par Papageno3 (Le 01/10/2009, à 11:20)

Hors ligne

#6 Le 03/10/2009, à 15:13

Elemmire

Re : Gros problème d'installation du serveur.

ca serait bien de préciser les versions des packages installés !

Hors ligne

#7 Le 03/10/2009, à 21:48

Papageno3

Re : Gros problème d'installation du serveur.

Bonsoir,

Elemmire a écrit :

ca serait bien de préciser les versions des packages installés !

Package phpmyadmin 4:3.1.2-1 , comme précisé dans le le rapport de bug que j'ai indiqué précédemment : https://bugs.launchpad.net/ubuntu/+source/phpmyadmin/+bug/348535

Par contre j'ai avancé aujourd'hui : j'ai recommencé mon install à plusieurs reprises, et je suis arrivé à une solution provisoire.
D'après le tuto ici : http://doc.ubuntu-fr.org/lamp il faut installer les paquets mysql-server-5.1. Curieusement, lorsque j'installe phpmyadmin, il me désinstalle les paquets mysql-server-5.1 pour installer paquets mysql-server-5.0 , avec toutes les dépendances qui vont avec.

Pour l'étape sudo mysql_secure_installation , au lieu de taper « n » comme j'ai toujours fait : "administrez votre base de données à distance, ce qui devrait être le cas de la plupart des utilisateurs, validez par « Entrée ». Ainsi, l'utilisateur « root » ne pourra se connecter qu'en local. Sinon tapez « n »", j'ai validé par enter. Mysql est donc configuré uniquement en local, mais grâce à ça après coup j'ai réussi en console à forcer l'install de mysql-server-5.1, en gardant le paquet phpmyadmin.

Donc tout marche. Pour l'instant, sur cette machine, j'ai surtout besoin du serveur en local. Mais si je voulais aller plus loin, il me suffirait en principe de configurer mysql comme d'habitude en console, avec les commandes GRANT, etc.

Je ne suis pas sûr que mes explications soient claires, car je ne sais pas trop comment je suis arrivé à ça, mais ça marche.

En revanche, je pense quand même qu'il y a un sac de noeuds. J'ai du reste à ce sujet reçu un message de suivi du rapport de bug :

** Changed in: phpmyadmin (Ubuntu)
      Status: Fix Released => Fix Committed
--
package phpmyadmin 4:3.1.2-1 failed to install/upgrade:
https://bugs.launchpad.net/bugs/348535
You received this bug notification because you are a direct subscriber
of the bug.

J'avoue que ça me fait de belles jambes, car je n'y comprend rien...
Cordialement, Papageno3 cool

Hors ligne

Haut de page ↑